Bug 204164 - Review Request: perl-LWP-Authen-Wsse - Library for enabling X-WSSE authentication in LWP
Review Request: perl-LWP-Authen-Wsse - Library for enabling X-WSSE authentica...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-26 05:14 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 06:02:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-26 05:14:31 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-LWP-Authen-Wsse.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-LWP-Authen-Wsse-0.05-1.src.rpm
Description: 

LWP::Authen::Wsse allows LWP to authenticate against servers that are 
using the X-WSSE authentication scheme, as required by the Atom 
Authentication API.
Comment 1 Jason Tibbitts 2006-09-02 00:42:43 EDT
This fails to build for me due to failing tests; I added a BR:
perl(Digest::SHA1) and things are fine.  I'll work up a review.
Comment 2 Jason Tibbitts 2006-09-02 15:32:14 EDT
I'll assume that the BuildRequires: perl(Digest::SHA1) is added to the spec for
the purposes of this review.

* source files match upstream:
   d611b72884406ed92b7920be76bb3a94  LWP-Authen-Wsse-0.05.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
O BuildRequires are proper (BR: perl is not necessary; assuming BR:
perl(Digest::SHA1) is there).
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(LWP::Authen::Wsse)
   perl-LWP-Authen-Wsse = 0.05-1.fc6
  =
   perl >= 0:5.004
   perl(:MODULE_COMPAT_5.8.8)
   perl(Digest::SHA1)
   perl(English)
   perl(MIME::Base64)
   perl(constant)
   perl(strict)
   perl(warnings)
* %check is present and the single test passes:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.01 cusr +  0.02 csys =  0.03 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED, assuming you add that missing BR.
Comment 3 Patrice Dumas 2006-09-05 17:32:10 EDT
I have
- Add BuildRequires perl(Digest::SHA1) perl(MIME::Base64) 
in the package I have just imported.

Thanks for the review. I'll build it and close the bug when the
buildsys becomes more responsive...

Note You need to log in before you can comment on or make changes to this bug.